name: FH2.54
variations: 2P, 3P, 7P
datasheet: https://datasheet.lcsc.com/lcsc/2008301606_Wcon-2185-107ZG0CYNR1_C721892.pdf
description: connector, pin header, receptacle, 2.54mm, horizontal, SMD
distributor: LCSC C721892

pinout@2P: 1-2

pinout@3P: 1-3

pinout@7P: 1-7

schematic:
  symbol: inductor

housing: &0P
  pattern: custom
  bodyLength: 8.5
  height: 2.5
  leadWidth: 0.64
  leadLength: 0.85
  pitch: 2.54
  rowCount: 1
  columnCount: 1
  padWidth: 1.0
  padHeight: 2.0
  rowDY: 7.225 # 8.5/2+3.4-0.85/2

housing@2P:
  <<: *0P
  suffix: -2P
  bodyWidth: 5.33 # 2*2.54+0.25
  columnCount: 2

housing@3P:
  <<: *0P
  suffix: -3P
  bodyWidth: 7.87 # 3*2.54+0.25
  columnCount: 3

housing@7P:
  <<: *0P
  suffix: -7P
  bodyWidth: 18.03 # 7*2.54+0.25
  columnCount: 7
